=== modified file 'NEWS'
--- NEWS	2008-06-20 00:44:46 +0000
+++ NEWS	2008-07-05 14:19:34 +0000
@@ -14,6 +14,10 @@
       to stdout; also ``tar`` and ``tbz2``.
       (Martin Pool)
 
+    * ``bzr send'' documents and better supports `emacsclient' (proper
+      escaping of mail headers and handling of the MUA Mew).
+      (Christophe Troestler)
+
   BUGFIXES:
 
     * Clearer message about how to set the PYTHONPATH if bzrlib can't be

=== modified file 'bzrlib/mail_client.py'
--- bzrlib/mail_client.py	2008-07-01 09:56:34 +0000
+++ bzrlib/mail_client.py	2008-07-05 14:19:34 +0000
@@ -343,23 +343,23 @@
         (cond
          ((eq agent 'sendmail-user-agent)
           (progn
-	    (mail-text)
-	    (newline)
-	    (if (functionp 'etach-attach)
-	      (etach-attach file)
-	      (mail-attach-file file))))
+            (mail-text)
+            (newline)
+            (if (functionp 'etach-attach)
+              (etach-attach file)
+              (mail-attach-file file))))
          ((or (eq agent 'message-user-agent)(eq agent 'gnus-user-agent))
           (progn
-	    (mml-attach-file file "text/x-patch" "BZR merge" "inline")))
-	 ((eq agent 'mew-user-agent)
-	  (progn
-	    (mew-draft-prepare-attachments)
-	    (mew-attach-link file (file-name-nondirectory file))
-	    (let* ((nums (mew-syntax-nums))
-	           (syntax (mew-syntax-get-entry mew-encode-syntax nums)))
-	      (mew-syntax-set-cd syntax "BZR merge")
-	      (mew-encode-syntax-print mew-encode-syntax))
-	    (mew-header-goto-body)))
+            (mml-attach-file file "text/x-patch" "BZR merge" "inline")))
+         ((eq agent 'mew-user-agent)
+          (progn
+            (mew-draft-prepare-attachments)
+            (mew-attach-link file (file-name-nondirectory file))
+            (let* ((nums (mew-syntax-nums))
+                   (syntax (mew-syntax-get-entry mew-encode-syntax nums)))
+              (mew-syntax-set-cd syntax "BZR merge")
+              (mew-encode-syntax-print mew-encode-syntax))
+            (mew-header-goto-body)))
          (t
           (message "Unhandled MUA, report it on bazaar@lists.canonical.com")))
       (error "File %s does not exist." file))))

